com.aliyun.player

## Enum AliPlayer.Status

- java.lang.Object
- - java.lang.Enum<AliPlayer.Status>
  - - com.aliyun.player.AliPlayer.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliPlayer.Status>
  Enclosing interface:
    AliPlayer

      public static enum AliPlayer.Status
      extends java.lang.Enum<AliPlayer.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Invalid` invalid
    `Pending` pending.
    `Valid` valid

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliPlayer.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliPlayer.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Valid

          public static final AliPlayer.Status Valid

      valid

    - #### Invalid

          public static final AliPlayer.Status Invalid

      invalid

    - #### Pending

          public static final AliPlayer.Status Pending

      pending. When get new StsInfo or auth , should call AliPlayer.updateStsInfo(StsInfo) or AliPlayer.updateVidAuth(VidAuth)

  - ### Method Detail

    - #### values

          public static AliPlayer.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliPlayer.Status c : AliPlayer.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliPlayer.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null